## org.omg.CORBA
Class InitializerSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InitializerSeqHelper

public class InitializerSeqHelper
extends java.lang.Object

Helper class for : InitializerSeq

Author:
  OpenORB Compiler

Constructor Summary
`InitializerSeqHelper()`

Method Summary
`static Initializer[]` `extract(Any a)` Extract InitializerSeq from an any
`static java.lang.String` `id()` Return the InitializerSeq IDL ID
`static void` `insert(Any a, Initializer[] t)` Insert InitializerSeq into an any
`static Initializer[]` `read(InputStream istream)` Read InitializerSeq from a marshalled stream
`static TypeCode` `type()` Return the InitializerSeq TypeCode
`static void` `write(OutputStream ostream, Initializer[] value)` Write InitializerSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitializerSeqHelper

    public InitializerSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Initializer[] t)

  Insert InitializerSeq into an any
  Parameters:
    `a` - an any
    `t` - InitializerSeq value

### extract

    public static Initializer[] extract(Any a)

  Extract InitializerSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InitializerSeq value

### type

    public static TypeCode type()

  Return the InitializerSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InitializerSeq IDL ID
  Returns:
    an ID

### read

    public static Initializer[] read(InputStream istream)

  Read InitializerSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InitializerSeq value

### write

    public static void write(OutputStream ostream,
                             Initializer[] value)

  Write InitializerSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InitializerSeq value